Install a template
POST /accounts/templates/{template_id}/install
curl -X POST "https://app.bualpro.com/api/accounts/templates/3.14/install" \
-H "Content-Type: application/json" \
-H "X-ACCESS-TOKEN: YOUR_API_KEY" \
-d '{
"template_key": "asa823mkAkdk394kdsjs"
}'
import requests
import json
url = "https://app.bualpro.com/api/accounts/templates/3.14/install"
headers = {
"Content-Type": "application/json",
"X-ACCESS-TOKEN": "YOUR_API_KEY"
}
data = {
"template_key": "asa823mkAkdk394kdsjs"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://app.bualpro.com/api/accounts/templates/3.14/install", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-ACCESS-TOKEN": "YOUR_API_KEY"
},
body: JSON.stringify({
"template_key": "asa823mkAkdk394kdsjs"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"template_key": "asa823mkAkdk394kdsjs"
}`)
req, err := http.NewRequest("POST", "https://app.bualpro.com/api/accounts/templates/3.14/install", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-ACCESS-TOKEN", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://app.bualpro.com/api/accounts/templates/3.14/install')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-ACCESS-TOKEN'] = 'YOUR_API_KEY'
request.body = '{
"template_key": "asa823mkAkdk394kdsjs"
}'
response = http.request(request)
puts response.body
{
"success": true
}
/accounts/templates/{template_id}/installTarget server for requests. Edit to use your own host.
API key (sent in header)
You can get template ID from the template link.
The media type of the request body
The template key from the template link.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
You can get template ID from the template link.
Body
The template key from the template link.
Responses
Install a template to your account
The source does not declare a request media type. The JSON representation shown here is a documentation conversion default; confirm the required Content-Type before integrating.